Bug 1118074 - ds logs many "SLAPI_PLUGIN_BE_TXN_POST_DELETE_FN plugin returned error" messages
Summary: ds logs many "SLAPI_PLUGIN_BE_TXN_POST_DELETE_FN plugin returned error" messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 00:25 UTC by Noriko Hosoi
Modified: 2015-03-05 09:36 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:36:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-10 00:25:56 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47732

when running the ipa test suite there are many errors like:

SLAPI_PLUGIN_BE_TXN_POST_DELETE_FN plugin returned error code -1

Comment 3 Noriko Hosoi 2014-10-21 17:02:46 UTC
Steps:

0. Enable USN plugin
1. Delete a non-existing entry.
2. If "SLAPI_PLUGIN_BE_TXN_POST_DELETE_FN plugin returned error" messages is not logged in the error log, the fix is verified.

Comment 4 Amita Sharma 2014-12-30 09:46:46 UTC
dn: cn=USN,cn=plugins,cn=config
objectClass: top
objectClass: nsSlapdPlugin
objectClass: extensibleObject
cn: USN
nsslapd-pluginPath: libusn-plugin
nsslapd-pluginInitfunc: usn_init
nsslapd-pluginType: object
nsslapd-pluginEnabled: on
nsslapd-pluginbetxn: on
nsslapd-plugin-depends-on-type: database
nsslapd-pluginId: none
nsslapd-pluginVersion: none
nsslapd-pluginVendor: none
nsslapd-pluginDescription: none

[root@dhcp201-126 export]# ldapdelete -x -h localhost -p 389 -D "cn=Directory Manager" -w Secret123 "uid=amita,ou=people,dc=replsuffix,dc=com"
ldap_delete: No such object (32)
[root@dhcp201-126 export]# grep -i "SLAPI_PLUGIN_BE_TXN_POST_DELETE_FN plugin returned error" /var/log/dirsrv/slapd-dhcp201-126/errors
[root@dhcp201-126 export]# 

Error Logs
============
[30/Dec/2014:15:14:57 +051800] - slapd shutting down - signaling operation threads - op stack size 1 max work q size 1 max work q stack size 1
[30/Dec/2014:15:14:57 +051800] - slapd shutting down - waiting for 28 threads to terminate
[30/Dec/2014:15:14:57 +051800] - slapd shutting down - closing down internal subsystems and plugins
[30/Dec/2014:15:14:57 +051800] - Waiting for 4 database threads to stop
[30/Dec/2014:15:14:57 +051800] - All database threads now stopped
[30/Dec/2014:15:14:57 +051800] - slapd shutting down - freed 1 work q stack objects - freed 1 op stack objects
[30/Dec/2014:15:14:57 +051800] - slapd stopped.
[30/Dec/2014:15:15:26 +051800] - 389-Directory/1.3.3.1 B2014.351.2355 starting up
[30/Dec/2014:15:15:26 +051800] - I'm resizing my cache now...cache was 4096000 and is now 3276800
[30/Dec/2014:15:15:26 +051800] - slapd started.  Listening on All Interfaces port 389 for LDAP requests


Hence VERIFIED,

Comment 6 errata-xmlrpc 2015-03-05 09:36:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.